<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@descripcion		dialogo auxiliar para crear solicitud de suspencion, cancelacion o ampliacion de tiempos de un tramite de avaluos
@author 			christian.rodriguez
@cu 				CU-SA-AC-154 Solicitar suspensión cancelación o ampliación de tiempos
@MB					SolicitudSuspencionCancelacionAmpliacionDeTiemposMB

-->

<h:form id="creacionSolicitudSuspencionCancelacionAmpliacionTiemposForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset>

        <p:messages id="msgsCSCAT" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="2" cellspacing="7" width="100%"
                     columnClasses="colMediana, colGrande"
                     rendered="#{solicitudCanSusAmplTiempos.banderaEsSuspencion}">

            <h:outputLabel value="Tipo suspención" styleClass="outputLabelStyle" />
            <h:selectOneRadio styleClass="outputTextStyle"
                              value="#{solicitudCanSusAmplTiempos.banderaEsSuspencionTemporal}">
                <f:selectItem itemLabel="Suspención indefinida" itemValue="false" />
                <f:selectItem itemLabel="Temporal" itemValue="true" />
                <p:ajax process="@this"
                        update=":creacionSolicitudSuspencionCancelacionAmpliacionTiemposForm" />
            </h:selectOneRadio>

        </h:panelGrid>

        <h:panelGrid columns="2" cellspacing="7" width="100%"
                     columnClasses="colMediana, colGrande"
                     rendered="#{solicitudCanSusAmplTiempos.banderaEsSuspencionTemporal || solicitudCanSusAmplTiempos.banderaEsSuspencionTemporal}">

            <h:outputLabel value="Duración:" styleClass="outputLabelStyle" />
            <h:panelGrid columns="4" cellspacing="7" width="100%">

                <h:panelGrid columns="3">
                    <h:outputLabel value="Del" styleClass="outputTextStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    <p:message for="fechaInicialSuspencion" display="icon" />
                </h:panelGrid>

                <p:calendar id="fechaInicialSuspencion" label="Fecha inicial"
                            value="#{solicitudCanSusAmplTiempos.movimiento.fechaDesde}"
                            navigator="true" pattern="#{general.formatoFecha}" showOn="both"
                            title="#{general.formatoFechaUsuario}" effect="slideDown"
                            locale="es_CO" size="12" required="true">
                    <p:ajax event="dateSelect"
                            update="creacionSolicitudSuspencionCancelacionAmpliacionTiemposForm:fechafinalSuspencion" />
                </p:calendar>

                <h:panelGrid columns="3">
                    <h:outputLabel value=" al " styleClass="outputTextStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    <p:message for="fechafinalSuspencion" display="icon" />
                </h:panelGrid>

                <p:calendar id="fechafinalSuspencion" label="Fecha final"
                            value="#{solicitudCanSusAmplTiempos.movimiento.fechaHasta}"
                            mindate="#{solicitudCanSusAmplTiempos.movimiento.fechaDesde}"
                            navigator="true" pattern="#{general.formatoFecha}" showOn="both"
                            title="#{general.formatoFechaUsuario}" effect="slideDown"
                            locale="es_CO" size="12" required="true">
                </p:calendar>
            </h:panelGrid>
        </h:panelGrid>

        <h:panelGrid columns="2" cellspacing="7" width="100%"
                     columnClasses="colMediana, colGrande"
                     rendered="#{solicitudCanSusAmplTiempos.banderaEsAmpliacionTiempos}">
            <h:panelGrid columns="3">
                <h:outputLabel value="Número de días a ampliar:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                <p:message for="numeroDiasAmpliar" display="icon" />
            </h:panelGrid>
            <p:spinner id="numeroDiasAmpliar" size="3"
                       value="#{solicitudCanSusAmplTiempos.movimiento.diasAmpliacion}"
                       min="1" max="365" required="true"  />
        </h:panelGrid>

        <h:panelGrid columns="2" cellspacing="7" width="100%"
                     columnClasses="colMediana, colGrande">

            <h:panelGrid columns="3">
                <h:outputLabel value="Justificación" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                <p:message for="justificacion" display="icon" />
            </h:panelGrid>
            <h:selectOneMenu
                value="#{solicitudCanSusAmplTiempos.movimiento.justificacion}"
                id="justificacion" required="true" label="Justificación">
                <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                <f:selectItems value="#{general.justificacionCancelacionAvaluo}" />
            </h:selectOneMenu>

            <h:panelGrid columns="3">
                <h:outputLabel value="Observaciones:" styleClass="outputLabelStyle"
                               for="observaciones" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                <p:message for="observaciones" display="icon" />
            </h:panelGrid>
            <h:inputTextarea id="observaciones" label="Objeto comisión"
                             value="#{solicitudCanSusAmplTiempos.movimiento.otraJustificacion}"
                             rows="4" style="width:100%;" required="true" />


        </h:panelGrid>
    </p:fieldset>

    <h:panelGrid columns="3" cellspacing="7">

        <p:commandButton icon="ui-icon-disk" value="Guardar"
                         action="#{solicitudCanSusAmplTiempos.guardar}"
                         update=":creacionSolicitudSuspencionCancelacionAmpliacionTiemposForm"
                         onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                         disabled="#{not empty solicitudCanSusAmplTiempos.movimiento.id}" />

    </h:panelGrid>

</h:form>